Package org.eclipse.cdt.core.dom.ast.c

## Interface ICASTFieldDesignator

All Superinterfaces:
  `IASTNode`, `ICASTDesignator`

    public interface ICASTFieldDesignator
    extends ICASTDesignator

Specific designator that represents a field reference.

Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`IASTNode.CopyStyle`

### Field Summary

Fields
`static ASTNodeProperty` `FIELD_NAME` `FIELD_NAME` represent the relationship between an `ICASTFieldDesignator` and an `IASTName`.

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`EMPTY_NODE_ARRAY`

### Method Summary

All Methods Instance Methods Abstract Methods
`ICASTFieldDesignator` `copy()` Returns a mutable copy of the tree rooted at this node.
`ICASTFieldDesignator` `copy​(IASTNode.CopyStyle style)` Returns a mutable copy of the tree rooted at this node.
`IASTName` `getName()` Returns the field name.
`void` `setName​(IASTName name)` Sets the field name.

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`accept, contains, getChildren, getContainingFilename, getFileLocation, getLeadingSyntax, getNodeLocations, getOriginalNode, getParent, getPropertyInParent, getRawSignature, getSyntax, getTrailingSyntax, getTranslationUnit, isActive, isFrozen, isPartOfTranslationUnitFile, setParent, setPropertyInParent`

### Field Detail

#### FIELD_NAME

    static final ASTNodeProperty FIELD_NAME

`FIELD_NAME` represent the relationship between an `ICASTFieldDesignator` and an `IASTName`.

### Method Detail

#### getName

    IASTName getName()

Returns the field name.

Returns:
  `IASTName`

#### setName

    void setName​(IASTName name)

Sets the field name.

Parameters:
  `name` - `IASTName`

#### copy

    ICASTFieldDesignator copy()

Description copied from interface: `IASTNode`
Returns a mutable copy of the tree rooted at this node. The following postconditions hold:

     copy.getParent() == null
     copy.getPropertyInParent() == null
     copy.isFrozen() == false

Preprocessor nodes do not currently support being copied. Implicit name nodes are not copied, instead they can be regenerated if required.

Calling this method is equivalent to `copy(CopyStyle.withoutLocations)`.

Specified by:
  `copy` in interface `IASTNode`
Specified by:
  `copy` in interface `ICASTDesignator`
Since:
  5.1

#### copy

    ICASTFieldDesignator copy​(IASTNode.CopyStyle style)

Description copied from interface: `IASTNode`
Returns a mutable copy of the tree rooted at this node. The following postconditions hold:

     copy.getParent() == null
     copy.getPropertyInParent() == null
     copy.isFrozen() == false

Preprocessor nodes do not currently support being copied. Implicit name nodes are not copied, instead they can be regenerated if required.

Specified by:
  `copy` in interface `IASTNode`
Specified by:
  `copy` in interface `ICASTDesignator`
Parameters:
  `style` - `IASTNode.CopyStyle` create a copy with or without locations. Please see `IASTNode.CopyStyle` for restrictions on copies with Locations.
Since:
  5.3